Commit 4de26d26 authored by Yann Garcia's avatar Yann Garcia
Browse files

Add patch for AbstractSocket

parent 02d01615
Loading
Loading
Loading
Loading
+37 −0
Original line number Diff line number Diff line
/*!
 * \file      params_ngap.hh
 * \brief     Header file for the parameter dictionary.
 * \author    ETSI TTF T033
 * \copyright ETSI Copyright Notification
 *            No part may be reproduced except as authorized by written permission.
 *            The copyright and the foregoing restriction extend to reproduction in all media.
 *            All rights reserved.
 * \version   0.1
 */
#pragma once

#include <map>
#include <string>
#include <vector>

#include "params.hh"

/*!
 * \class params_ngap
 * \brief This class provides basic functionalities for an ITS dictionary
 */
class params_ngap : public params {
public: //! \publicsection

  /*!
   * \brief Default constructor
   *        Create a new instance of the params_ngap class
   */
  params_ngap() : params() {};

  /*!
   * \brief Default destructor
   */
  virtual ~params_ngap(){};

}; // End of class params_ngap
+17 −0
Original line number Diff line number Diff line
/*!
 * \file      param_sits.cc
 * \brief     Source file for the parameter dictionary.
 * \author    ETSI TTF T033
 * \copyright ETSI Copyright Notification
 *            No part may be reproduced except as authorized by written permission.
 *            The copyright and the foregoing restriction extend to reproduction in all media.
 *            All rights reserved.
 * \version   0.1
 */
#include <regex>
#include <stdexcept>

#include "loggers.hh"
#include "params_ngap.hh"

+5 −0
Original line number Diff line number Diff line
@@ -24,4 +24,9 @@ cd $BASE_PATH
ln -f ./ttcn/patch_lib_common_titan/module.mk ./ttcn/LibCommon/
# TODO Add other patch

cd ./ttcn/modules/titan.TestPorts.Common_Components.Abstract_Socket/module/src
git apply ../../../../patch_abstract_socket/Abstract_Socket.hh.patch
git apply ../../../../patch_abstract_socket/Abstract_Socket.cc.patch
cd $BASE_PATH

exit 0
+106 −0
Original line number Diff line number Diff line
#!/bin/bash
# Copyright ETSI 2018
# See: https://forge.etsi.org/etsi-forge-copyright-statement.txt

set -e
#set -vx

clear

if [ -z "${TOP}" ]
then
    echo "Failed, TOP variable not defined, exit"
    exit 1
fi

CURDIR=`pwd`
TITAN_DIR=${TOP}/..

# Move to the right directory
if [ ! -d ${TITAN_DIR} ]
then
    echo "Titan directory does not exist, create it"
    # Create TITAN directories
    mkdir -p ${TITAN_DIR}
    if [ ! "$?" -eq "0" ]
    then
        echo "Failed, TOP variable not defined, exit"
        exit 2
    fi
    cd ${TITAN_DIR}
    # Clone all TITAN repositories
    if [ ! -f ${CURDIR}/titan_repos.txt ]
    then
        echo "${HOME_BIN}/titan_repos.txt file does not exist, exit"
        rm -fr ${TOP}
        rm -fr ${TOP}/..
        exit 3
    fi
    TITAN_REPOS=`cat ${CURDIR}/titan_repos.txt`
    for i in ${TITAN_REPOS};
    do
        git clone $i
        if [ ! "$?" -eq "0" ]
        then
            echo "Failed to clone $i, exit"
            exit 4
        fi
    done
else
    cd ${TITAN_DIR}
    # Update github folders
    DIRS=`find . -type d -name ".git" -exec dirname {} \;`
    for i in ${DIRS};
    do
        echo "Processing $i..."
        cd $i
        git fetch
        if [ ! "$?" -eq "0" ]
        then
            echo "Failed to fetch $i, continue"
        else 
            git pull
            if [ ! "$?" -eq "0" ]
            then
        echo "Failed to pull $i, continue"
            fi
    fi
        cd -
    done
fi

# Build TITAN core
export JNI=no
export GUI=no
export DEBUG=no
export GEN_PDF=no
if [ -d ${TTCN3_DIR} ]
then
    rm -fr ${TTCN3_DIR}
fi
mkdir ${TTCN3_DIR}
cd ./titan.core
/bin/cat <<EOF > Makefile.personal
JNI:=no
GUI:=no
DEBUG:=no
GEN_PDF:=no
EOF

# To prevent link error /usr/bin/ld: /lib/x86_64-linux-gnu/libpthread.so.0: error adding symbols: DSO missing from command lineema  
sed --in-place 's/LINUX_LIBS     := -lxml2/LINUX_LIBS     := -lxml2 -lpthread/g' ./core/Makefile

echo "Starting build..."
make clean
if [ "${OSTYPE}" == "cygwin" ]
then
    make -j
else
    make
fi
make install
echo "Build done"

# Go back to initial directory
cd ${CURDIR}
exit 0
+77 −0
Original line number Diff line number Diff line
#!/bin/bash

# Turn on debug mode
#set -vx
#set -e

# Colors and Prompt
#export PS1="\w\$ "
#export PS1="\D{%Y-%m-%d %H:%M:%S} \w\n\$ "

export EDITOR=emacs
set -o emacs

# Home working directories
export HOME_FRAMEWORKS=${HOME}/frameworks
export HOME_LIB=${HOME}/lib
export HOME_BIN=${HOME}/bin
export HOME_ETC=${HOME}/etc
export HOME_TMP=${HOME}/tmp
export HOME_DOCS=${HOME}/docs

# Home common include directory
export HOME_INC=${HOME}/include

# Update PATH environment variable
export PATH=${HOME_BIN}:${PATH}

# Update LD_LIBRARY_PATH environment variable
if [ -z "${LD_LIBRARY_PATH}" ]
then
    export LD_LIBRARY_PATH=${HOME_LIB}:/usr/local/lib:${HOME}/dev/etsi_its/lib
else 
    export LD_LIBRARY_PATH=${HOME_LIB}:/usr/local/lib:${HOME}/dev/etsi_its/lib:${LD_LIBRARY_PATH}
fi


# Add JAVA support
#export JAVA_VERSION=1.8.0_92
#export JAVA_JDK=jdk${JAVA_VERSION}
#if [ -d "${HOME_FRAMEWORKS}/${JAVA_JDK}" ]
#then
#    export JAVA_HOME=${HOME_FRAMEWORKS}/${JAVA_JDK}/bin
#else
#    unset JAVA_VERSION
#    unset JAVA_JDK
#fi

# Add TITAN support
export TOP=${HOME_FRAMEWORKS}/titan/titan.core
export TTCN3_DIR=${TOP}/Install
if [ -d ${TTCN3_DIR} ]
then
    export TTCN3_BROWSER=mozilla
    export PATH=${TTCN3_DIR}/bin:${PATH}
    export LD_LIBRARY_PATH=${TTCN3_DIR}/lib:${LD_LIBRARY_PATH}
    export MANPATH=${TTCN3_DIR}/man:${MANPATH}
    export TTCN3_LICENSE_FILE=${TTCN3_DIR}/etc/license/license.dat
    export PATH_DEV_TTCN=${HOME}/dev/ttcn3
    # ITS support
    export PATH_DEV_ITS=${HOME}/dev/TS.ITS
    # Emergency Communication support
    export PATH_DEV_EMCOM=${HOME}/dev/NG112
    # Mobile-Edge Computing support
    export PATH_DEV_MEC=${HOME}/dev/gs032p3-ttcn-test-suite
    # CDM/CISE support
    export PATH_DEV_MEC=${HOME}/dev/cise
    # Validation folder
    export VALIDATION_DIR=${HOME}
fi

export BROWSER=netsurf

export OPENSSL_DIR=/usr/local

export LSAN_OPTIONS=verbosity=1:log_threads=1

Loading